
template<typename NCBISeqPosType, typename NCBISeqLenType>
void CleanAlignment(const std::vector<NCBISeqPosType> & rSrcStarts, const std::vector<NCBISeqLenType> & rSrcLens, std::vector<SeqPos_t>& rMStarts, std::vector<SeqPos_t>& rSStarts, std::vector<SeqLen_t>& rLens)
{
	rMStarts.clear();
	rSStarts.clear();
	rLens.clear();

	for (size_t i = 0; i < rSrcLens.size(); ++i)
	{
		size_t ii = i + i;
		if (rSrcStarts[ii] >=0 && rSrcStarts[ii + 1] >= 0)
		{
			rMStarts.push_back(rSrcStarts[ii]);
			rSStarts.push_back(rSrcStarts[ii + 1]);
			rLens.push_back(rSrcLens[i]);
		}
	}
}
